tlp-stat(8)

NAME
tlp-stat - view power saving status

SYNOPSIS
tlp-stat [options] [-- CONFIG_PARAM=value ... ]

DESCRIPTION
View configuration, system information, kernel power saving tunables and battery data. Invocation without options shows all information categories.

OPTIONS

  System Operation

-s, --system
    View system information and TLP status.

-m, --mode
    Print currently active TLP profile.

  Configuration

-c, --config
    View active configuration.

--cdiff
    View the difference between defaults and user configuration.

-- CONFIG_PARAM=value ...
    Append configuration parameters to a command. These temporarily override the system configuration during execution of that command only and are not kept afterwards. Disclaimer: this feature exists for the sole purpose of test automation during TLP's development. It is provided as is and there is no support whatsoever.

  Power Saving

-d, --disk
    View disk device tunables.

-e, --pcie
    View PCIe device tunables. Add -v to see device runtime status.

-g, --graphics
    View graphics card tunables. Add -v to see power state and clocks of AMD GPUs.

-p, --processor
    View processor tunables. For clarity the standard output shows only cpu0. Add -v to see all cpus. Add -q to see cpu driver state only.

-r, --rfkill
    View radio device states and tunables. Add -v to see NetworkManager and rfkill details.

-u, --usb
    View USB device tunables. Add -v to see device runtime status.

  Battery Care

-b, --battery
    View battery data and battery care features supported by your hardware. Add -v to see battery voltages (if available).

  Information

-q, --quiet
    Omit version header and show less information in the processor category.

-t, --temp
    View temperatures and fan speed. Add -v to see all individual sensors.

-v, --verbose
    Show more information in the battery, graphics, PCIe, processor, temperature, wireless and USB categories.

--version
    Print TLP version.

  Diagnostics and Debugging

--pd-diag
    View tlp-pd diagnostics.

-P, --pev
    Monitor power supply udev events.

--psup
    View power supply diagnostics.

-T, --trace
    View trace output for tlp and tlp-pd.

--trace-nm
    View trace output correlated with NetworkManager journal.

--udev
    Check if udev rules for power source changes and connecting USB devices are active.

-w, --warn
    View warnings about SATA disks.

AUTHORIZATION

Many (but not all) tlp-stat commands require root privileges.

FILES
/etc/tlp.conf
    System-wide user configuration file, uncomment parameters here to override default settings and customization files below.

/etc/tlp.d/*.conf
    System-wide drop-in customization files, overriding defaults below.

/usr/share/tlp/defaults.conf
    Intrinsic default settings. DO NOT EDIT this file, instead use one of the above alternatives.

/run/tlp/run.conf
    Effective settings consolidated from all above files. DO NOT CHANGE this file, it is for reference only and regenerated on every invocation of TLP.

SEE ALSO
tlp(8), tlpctl(8).

•   TLP documentation: <https://linrunner.de/tlp>

•   Battery care specifics: <https://linrunner.de/tlp/settings/bc-vendors.html>

BUGS
Report bugs to: <https://github.com/linrunner/TLP/issues>.

AUTHOR
(c) 2026 Thomas Koch <linrunner at gmx.net>